%define section free

Summary:        CVS repository statistics
Name:           statcvs
Version:        0.1.3
Release:        2jpp
Epoch:          0
License:        LGPL
URL:            http://statcvs.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        statcvs-v0.1.3-src.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/statcvs login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/statcvs export -r v0_1_3 statcvs
Source1:        statcvs-launch.sh
Patch0:         statcvs-jfree.patch
Patch1:         statcvs-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  ant = 0:1.5.4, ant-optional = 0:1.5.4
BuildRequires:  jfreechart = 0:0.9.16
BuildRequires:  jcommon = 0:0.9.1
BuildRequires:  java-devel >= 1.4
Requires:  jfreechart = 0:0.9.16
Requires:  jcommon = 0:0.9.1
Requires:  java-devel >= 1.4
Requires:  java-fonts
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
StatCvs retrieves information from a CVS repository 
and generates various tables and charts describing 
the project development, e.g. timeline for the lines 
of code, contribution of each developer etc.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm {} \;
mkdir -p lib
cp build.xml build.xml.sav
for f in src/net/sf/statcvs/renderer/*.java; do
    echo >> $f
    cp $f $f.sav
done
for f in src/net/sf/statcvs/output/*.java; do
    echo >> $f
    cp $f $f.sav
done

%patch0
%patch1

%build
export CLASSPATH=$(build-classpath \
ant \
ant-optional \
jcommon \
jfreechart \
junit)
CLASSPATH=build:tests-build:$CLASSPATH
ant test javadoc dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 dist/%{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%attr(0755,root,root) %{_bindir}/%{name}
%doc license.txt
%doc userguide.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

# -----------------------------------------------------------------------------

%changelog

* Tue May 18 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.1.3-2jpp
- Patched and compiled against jfreechart-0.9.16 and jcommon-0.9.1 - and tested!
- Specified Requires:  jfreechart = 0:0.9.16
- Specified Requires:  jcommon = 0:0.9.1
- Specified Requires:  java >= 1.4
- Specified Requires:  java-fonts
- Specified BuildRequires:  java-devel >= 1.4
- Added simple launcher script; don't use -jar

* Sat Mar 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.1.3-1jpp
- First JPackage release
